Support » Plugin: Decorator - WooCommerce Email Customizer » “Fatal error”-message in customizer – decorator preview

  • Resolved aundc

    (@aundc)


    although this nice plugin is marked as “not updatet since …” it did work fine in the recent wp-version and woocommerce. (site resides at germany, though using also the plugin “woocommerce-germanized”)

    but suddenly i got this error-message below the no more complete displayed preview in the customizer:
    “Fatal error: Call to a member function needs_payment() on boolean in /www/htdocs/…/…_de/wp-content/plugins/woocommerce-germanized/includes/class-wc-gzd-checkout.php on line 229” [if ( ! $order->needs_payment() )]

    i don’t know if this error-message just comes from “decorator” or “woocommerce-germanized” and what it should mean – the customer-emails are beeing sent right, also including the changes made previously in “decorator” …

Viewing 2 replies - 1 through 2 (of 2 total)
  • Yes, I second this. And normal Woocommerce.
    Uncaught exception ‘Exception’ with message ‘Invalid order.’
    Are you using any add ons? Pre-Orders, Shipment Tracking?

    ups – 5 months ago

    didn’t care about that anymore – no errors during the well working shop onlinetime

    well, plugins a lot, yes.
    but “Pre-Orders, Shipment Tracking” not.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘“Fatal error”-message in customizer – decorator preview’ is closed to new replies.